Make sure gitlab-shell is updated first to avoid the warnings

Merged Achilleas Pipinellis requested to merge update-shell-first into master

To avoid the warning that gilab-shell is an old version and needs to be updated, make sure we update it first.

Just a minor nitpick, since it's updated either way :)

Edited by Achilleas Pipinellis